### Method

# Secret Service delete_item_dbus_path_sync

#### Declaration [src]

    gboolean
    secret_service_delete_item_dbus_path_sync (
      SecretService* self,
      const gchar* item_path,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Delete a secret item from the secret service.

The item is represented by its D-Bus object path. If you already have a `SecretItem` proxy objects, use use `secret_item_delete_sync()` instead.

This method may block indefinitely and should not be used in user interface threads.

Stability: Unstable

This method is not directly available to language bindings.

#### Parameters

`item_path`

  Type: `const gchar*`

  The D-Bus path of item to delete.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the deletion was successful or not.